%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define glib2_version 2.2.3
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define libgnome_version 2.4.0
%define libgnomeui_version 2.4.0.1
%define libbonobo_version 2.4.0
%define libbonoboui_version 2.4.0
%define gnome_vfs2_version 2.4.0
%define bonobo_activation_version @bonobo-activation_version@
%define gconf2_version 2.4.0.1
%define scrollkeeper_version 0.3.12

Summary: 	GNOME session manager
Name: 		gnome-session
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org
Source: 	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-session/%{name}-%{version}.tar.bz2

Patch0:		gnome-session-2.4.0-aix.patch
Patch1:		gnome-session-2.4.0-autotools.patch

License: 	GPL 
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Requires:	GConf2 >= %{gconf2_version}
PreReq:         scrollkeeper >= %{scrollkeeper_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}

%description
gnome-session manages a GNOME desktop session. It starts up the other core 
GNOME components and handles logout and saving the session.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome-session-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gnome-session-2.4.0-autotools.patch


%build
export PATH=%{_bindir}:$PATH
GCONF_SANITY_CHECK=%{_bindir}/gconf-sanity-check-2 \
	ESD_SERVER=%{_bindir}/esd \
	./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%post
export PATH=%{_bindir}:$PATH
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
SCHEMAS="gnome-session.schemas"
for S in $SCHEMAS; do
  %{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_mandir}/man*/*
%{_datadir}/gnome
%{_datadir}/control-center-2.0
%{_datadir}/pixmaps
%{_datadir}/locale/*/LC_MESSAGES/gnome-session-2.0.mo

/usr/bin/*
